## Apache Zeta Components Manual :: Docs For Class ezcWebdavCopyRequest

### Webdav::ezcWebdavCopyRequest

### Class ezcWebdavCopyRequest

Abstract representation of a COPY request.

An instance of this class represents the WebDAV COPY request.

Required headers for this request are:

- Destination

Optional headers for this request are:

- Overwrite (default: 'T')
- Depth (default: ezcWebdavRequest::DEPTH_ZERO)

Source for this file: /Webdav/src/requests/copy.php

    ezcWebdavRequest
       |
       --ezcWebdavCopyRequest

Version: | //autogen//

### Inherited Constants

From ezcWebdavRequest:
`ezcWebdavRequest::DEPTH_INFINITY` |
`ezcWebdavRequest::DEPTH_ONE` |
`ezcWebdavRequest::DEPTH_ZERO` | Constants for the 'Depth' headers and property fields.

### Properties

ezcWebdavRequestPropertyBehaviourContent | read/write | `$propertyBehaviour` Contains the <propertybehavior /> element, if submitted with the request. If not, this property is null.

### Inherited Member Variables

From ezcWebdavRequest
protected | `ezcWebdavRequest::$headers`
protected | `ezcWebdavRequest::$properties`

### Method Summary

public void | `__construct( $requestUri , $destination )` Creates a new COPY request object.
public void | `validateHeaders( )` Validates the headers set in this request.

### Inherited Methods

From ezcWebdavRequest
public void | `ezcWebdavRequest::__construct()` Creates a new request object.
public mixed | `ezcWebdavRequest::getHeader()` Returns the contents of a specific header.
public void | `ezcWebdavRequest::setHeader()` Sets a header to a specified value.
public void | `ezcWebdavRequest::setHeaders()` Sets a header to a specified value.
public void | `ezcWebdavRequest::validateHeaders()` Validates the headers set in this request.

### Methods

#### __construct

void __construct( string $requestUri , string $destination )

Creates a new COPY request object.

Expected are the $requestUri, which references the source to copy, and the $destination, which is the URI referencing the destination resource to copy to.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$requestUri` | string |
`$destination` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavRequest::__construct()` | Creates a new request object.

#### validateHeaders

void validateHeaders( )

Validates the headers set in this request.

This method validates that all required headers are available and that all feasible headers for this request have valid values.

##### Exceptions:

Type | Description
--- | ---
`ezcWebdavInvalidHeaderException` | if a header is present, but its content does not validate.
`ezcWebdavMissingHeaderException` | if a required header is missing.

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavRequest::validateHeaders()` | Validates the headers set in this request.

Documentation generated by phpDocumentor 1.4.3